Package org.opensaml.saml.saml1.binding.artifact

# Class AbstractSAML1Artifact

java.lang.Object
org.opensaml.saml.common.binding.artifact.AbstractSAMLArtifact
org.opensaml.saml.saml1.binding.artifact.AbstractSAML1Artifact

All Implemented Interfaces:
  `SAMLArtifact`, `SAML1Artifact`

Direct Known Subclasses:
  `SAML1ArtifactType0001`, `SAML1ArtifactType0002`

public abstract class AbstractSAML1Artifact extends AbstractSAMLArtifact implements SAML1Artifact
SAML 1 Artifact marker.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractSAML1Artifact(byte[] typeCode)`
Constructor.

## Method Summary

### Methods inherited from class org.opensaml.saml.common.binding.artifact.AbstractSAMLArtifact

`base64Encode, equals, getArtifactBytes, getRemainingArtifact, getTypeCode, hashCode, hexEncode, setTypeCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.common.binding.artifact.SAMLArtifact

`getArtifactBytes, getTypeCode`

## Constructor Details

### AbstractSAML1Artifact

protected AbstractSAML1Artifact(@Nonnull byte[] typeCode)
Constructor.

Parameters:
  `typeCode` - artifact type code